Bug 90812 - Xinetd segfaults after update
Xinetd segfaults after update
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-13 23:55 EDT by Drew J. Como
Modified: 2014-08-31 19:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:47:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
All requested files (1.97 KB, text/plain)
2003-05-14 22:00 EDT, Drew J. Como
no flags Details

  None (edit)
Description Drew J. Como 2003-05-13 23:55:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b) Gecko/20030507

Description of problem:
I received the errata for the xinetd (RHSA-2003:160) and tried to
upgrade the package.  I downloaded the latest and ran an MD5 on the
package.  Checks out 100%.

The RPM itself installs just fine without an errors whatsoever.
However, when I restart the xinetd service, it segfaults.  Moving
back to a previous version seems to be the current workaround.

Here is some info from /var/log/messages:

May 13 23:31:45 beam xinetd: xinetd startup succeeded
May 13 23:32:29 beam xinetd[28115]: 28115 {general_handler} (28115) Unexpected
signal: 11 (Segmentation fault)
May 13 23:32:29 beam xinetd[28115]: 28115 {bad_signal} Received 10 signals in 1
seconds. Exiting...
May 13 23:32:29 beam xinetd: xinetd startup succeeded

** Here is where I re-installed the previous version **

May 13 23:34:46 beam xinetd[28181]: xinetd Version 2.3.7 started with libwrap
options compiled in.
May 13 23:34:46 beam xinetd[28181]: Started working: 4 available services
May 13 23:34:49 beam xinetd: xinetd startup succeeded

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See above.
    

Additional info:
Comment 1 Jay Fenlason 2003-05-14 12:08:11 EDT
Can you attach to this bug the contents of your /etc/xinetd.conf, the output of
an ls -lf of /etc/xinetd.d and the contents of all the files in /etc/xinetd.d ?
 It might be easiest to create a tar file of all this stuff and attach it to the
bug, rather than attaching the individual files.
Comment 2 Drew J. Como 2003-05-14 22:00:47 EDT
Created attachment 91688 [details]
All requested files
Comment 3 Ben Levenson 2003-05-15 13:34:57 EDT
There is a typo in /etc/xinetd.d/ipop3:
s/#service/service/ 

I don't know the details as to why this crashes the new version but worked
on the last version, but making this change allows you to start the 2.3.11
xinetd service.
Comment 4 Drew J. Como 2003-05-15 21:05:10 EDT
As suggested, I removed the extra hash mark from the file.  I then
tried re-installing the package.  This time, I was able to start the
xinetd service without a problem.

I am surprised, as you mentioned, that the older version allowed this to work
just fine.  The other thing that surprises me is the xinetd didn't error out,
but rather segfaulted.  I reported the issue since I thought that the segfault
was a little extreme for just an extra hash mark.

It's working well though.  No other problems on this front.
Comment 5 Bill Nottingham 2006-08-05 00:28:36 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2006-10-18 10:47:53 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.